data:extend({
	
	-- Create new intermediary products unique to science pack creation.
	-- ===================================================================

	-- Tier 1 Intermediary products.
	-- =============================
	{
		type = "item",
		name = "sct-t1-ironcore",
		icon = "__ScienceCostTweaker__/graphics/icons/iron-core.png",
		flags = {"goes-to-main-inventory"},
		subgroup = "intermediate-product",
		order = "a[t1-ironcore]",
		stack_size = 200
	},

	{
		type = "item",
		name = "sct-t1-magnet-coils",
		icon = "__ScienceCostTweaker__/graphics/icons/magnet-coils.png",
		flags = {"goes-to-main-inventory"},
		subgroup = "intermediate-product",
		order = "a[t1-magnet-coils]",
		stack_size = 200
	},

	-- Tier 2 Intermediary products.
	-- =============================
	{
		type = "item",
		name = "sct-t2-reaction-nodes",
		icon = "__ScienceCostTweaker__/graphics/icons/reaction-nodes.png",
		flags = {"goes-to-main-inventory"},
		subgroup = "intermediate-product",
		order = "a[t2-reaction-nodes]",
		stack_size = 200
	},

	{
		type = "item",
		name = "sct-t2-instruments",
		icon = "__ScienceCostTweaker__/graphics/icons/instruments.png",
		flags = {"goes-to-main-inventory"},
		subgroup = "intermediate-product",
		order = "a[t2-instruments]",
		stack_size = 200
	},

	{
		type = "item",
		name = "sct-t2-microcircuits",
		icon = "__ScienceCostTweaker__/graphics/icons/microcircuits.png",
		flags = {"goes-to-main-inventory"},
		subgroup = "intermediate-product",
		order = "a[t2-microcircuits]",
		stack_size = 200
	},

	{
		type = "item",
		name = "sct-t2-micro-wafer",
		icon = "__ScienceCostTweaker__/graphics/icons/micro-wafer.png",
		flags = {"goes-to-main-inventory"},
		subgroup = "intermediate-product",
		order = "a[t2-micro-wafer]",
		stack_size = 200
	},

	{
		type = "item",
		name = "sct-t2-wafer-stamp",
		icon = "__ScienceCostTweaker__/graphics/icons/wafer-stamp.png",
		flags = {"goes-to-main-inventory"},
		subgroup = "intermediate-product",
		order = "a[t2-wafer-stamp]",
		stack_size = 200
	},

	-- Tier 3 Intermediary products.
	-- =============================
	{
		type = "item",
		name = "sct-t3-flash-fuel",
		icon = "__ScienceCostTweaker__/graphics/icons/flash-fuel.png",
		flags = {"goes-to-main-inventory"},
		subgroup = "intermediate-product",
		order = "a[t3-flash-fuel]",
		stack_size = 200
	},

	{
		type = "item",
		name = "sct-t3-laser-foci",
		icon = "__ScienceCostTweaker__/graphics/icons/laser-foci.png",
		flags = {"goes-to-main-inventory"},
		subgroup = "intermediate-product",
		order = "a[t3-laser-foci]",
		stack_size = 200
	},

	{
		type = "item",
		name = "sct-t3-laser-emitter",
		icon = "__ScienceCostTweaker__/graphics/icons/laser-emitter.png",
		flags = {"goes-to-main-inventory"},
		subgroup = "intermediate-product",
		order = "a[t3-laser-emitter]",
		stack_size = 200
	},

	{
		type = "item",
		name = "sct-t3-femto-lasers",
		icon = "__ScienceCostTweaker__/graphics/icons/femto-lasers.png",
		flags = {"goes-to-main-inventory"},
		subgroup = "intermediate-product",
		order = "a[t3-femto-lasers]",
		stack_size = 200
	},

	{
		type = "item",
		name = "sct-t3-atomic-sensors",
		icon = "__ScienceCostTweaker__/graphics/icons/atomic-sensors.png",
		flags = {"goes-to-main-inventory"},
		subgroup = "intermediate-product",
		order = "a[t3-femto-lasers]",
		stack_size = 200
	},

	-- Tier 4 Intermediary products.
	-- =============================
	{
		type = "item",
		name = "sct-t4-bioprocessor",
		icon = "__ScienceCostTweaker__/graphics/icons/bioprocessor.png",
		flags = {"goes-to-main-inventory"},
		subgroup = "intermediate-product",
		order = "a[t4-bioprocessor]",
		stack_size = 200
	},

	{
		type = "item",
		name = "sct-t4-overclocker",
		icon = "__ScienceCostTweaker__/graphics/icons/overclocker.png",
		flags = {"goes-to-main-inventory"},
		subgroup = "intermediate-product",
		order = "a[t4-overclocker]",
		stack_size = 200
	},

})

-- Make technology research enable the Tier 3 and Tier 4 intermediates
-- ===================================================================
-- Tier 3, enabled by Battery research
table.insert(data.raw.technology["battery"].effects,{type = "unlock-recipe", recipe = "sct-t3-flash-fuel"})
table.insert(data.raw.technology["battery"].effects,{type = "unlock-recipe", recipe = "sct-t3-laser-foci"})
table.insert(data.raw.technology["battery"].effects,{type = "unlock-recipe", recipe = "sct-t3-laser-emitter"})
table.insert(data.raw.technology["battery"].effects,{type = "unlock-recipe", recipe = "sct-t3-femto-lasers"})
table.insert(data.raw.technology["battery"].effects,{type = "unlock-recipe", recipe = "sct-t3-atomic-sensors"})
-- Tier 4, enabled by Alien Technology research
table.insert(data.raw.technology["alien-technology"].effects,{type = "unlock-recipe", recipe = "sct-t4-bioprocessor"})
table.insert(data.raw.technology["alien-technology"].effects,{type = "unlock-recipe", recipe = "sct-t4-overclocker"})